Retrieve Work Order
curl --request GET \
--url https://api.serial.io/work-order/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.serial.io/work-order/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.serial.io/work-order/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"wo_number": 1,
"name": "<string>",
"description": "<string>",
"component_id": "<string>",
"part_number_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "DRAFT",
"phase": "<string>",
"quantity": 123,
"approvals": {
"[approver_user_id]": {
"approver_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requested_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requested_at": "2023-11-07T05:31:56Z",
"last_updated_at": "2023-11-07T05:31:56Z"
}
},
"assignee_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deadline": "2023-11-07T05:31:56Z",
"activity_log": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": "<string>",
"added_at": "2023-11-07T05:31:56Z",
"added_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": "<string>"
}
],
"last_edited_at": "2023-11-07T05:31:56Z",
"attachments": [
{
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>",
"file_name": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"added_at": "2023-11-07T05:31:56Z",
"added_by_user_id": "<string>",
"is_deleted": true
}
]
}Work Orders
Retrieve Work Order
Retreive a specific work order by it’s id
GET
/
work-order
/
{id}
Retrieve Work Order
Authorizations
API Key or Token formatted as Bearer <YOUR_KEY_OR_TOKEN>
Path Parameters
The work order UUID (work_order.id) or work order number (work_order.wo_number). Both will map to the same work order
Response
200 - application/json
OK
Work Order Data
Required range:
x >= 0Available options:
DRAFT, REVIEW, PRODUCTION, COMPLETE, CANCELED, ARCHIVED Approvals object will have one key value pair for every approver
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Multiple datasets can be added to the attachments object
Show child attributes
Show child attributes
⌘I

